summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2020-04-19 18:13:32 -0400
committerMichael Orlitzky <mjo@gentoo.org>2020-04-19 19:16:12 -0400
commit09e851e16da9c9641ea324595667b5c16461af24 (patch)
tree9a660c6d685ec6cd0d1c07df0f9855bfc065a3f9
parentdev-python/cvxopt: new version supporting newer pythons. (diff)
downloadgentoo-09e851e16da9c9641ea324595667b5c16461af24.tar.gz
gentoo-09e851e16da9c9641ea324595667b5c16461af24.tar.bz2
gentoo-09e851e16da9c9641ea324595667b5c16461af24.zip
sci-mathematics/dunshire: new revision supporting python-3.{7,8}.
Updated to EAPI=7 and added a missing dependency while I was at it. Closes: https://bugs.gentoo.org/718502 Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
-rw-r--r--sci-mathematics/dunshire/dunshire-0.1.1-r1.ebuild (renamed from sci-mathematics/dunshire/dunshire-0.1.1.ebuild)17
1 files changed, 12 insertions, 5 deletions
diff --git a/sci-mathematics/dunshire/dunshire-0.1.1.ebuild b/sci-mathematics/dunshire/dunshire-0.1.1-r1.ebuild
index 82de99fb080..2824f031c37 100644
--- a/sci-mathematics/dunshire/dunshire-0.1.1.ebuild
+++ b/sci-mathematics/dunshire/dunshire-0.1.1-r1.ebuild
@@ -1,14 +1,14 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python3_6 )
+PYTHON_COMPAT=( python3_6 python3_7 python3_8 )
inherit distutils-r1
DESCRIPTION="Python library to solve linear games over symmetric cones"
-HOMEPAGE="http://michael.orlitzky.com/code/dunshire"
+HOMEPAGE="http://michael.orlitzky.com/code/dunshire/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="AGPL-3+"
@@ -18,8 +18,15 @@ IUSE="doc test"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/cvxopt[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# Tests run on the build host? Bug #693916. There's one doctest that
+# uses a numpy matrix, sorry. That will be fixed in the next release.
+# Otherwise numpy is not needed; the required interfaces are provided
+# through cvxopt.
+BDEPEND="test? (
+ ${RDEPEND}
+ dev-python/numpy[${PYTHON_USEDEP}]
+)"
python_install_all() {
use doc && local HTML_DOCS=( doc/build/html/. )